Name:           notecase
Version:        1.1.2
Release:        1%{?dist}
Summary:        A hierarchical note manager

Group:          Applications/Productivity
License:        BSD
URL:            http://notecase.sourceforge.net/
Source0:        http://dl.sourceforge.net/sourceforge/notecase/notecase-%{version}_src.zip
Patch:          notecase-1.1.2-buildfix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel >= 2.4 desktop-file-utils gettext gnome-vfs2-devel
Requires(post): desktop-file-utils shared-mime-info
Requires(postun): desktop-file-utils shared-mime-info

%description
NoteCase is a hierarchical note manager (aka. outliner). It helps you organize
your everyday text notes into a single document, with individual notes placed
in the tree-like structure (each note can have its sub-notes, ...). To ensure
your privacy, encrypted document format is supported, along with standard
unencrypted format.

%prep
%setup -q
%patch -p1 -b .buildfix
find docs -type f -exec sed -i -e 's/\r//g' \{\} \;
find src -type f -exec sed -i -e 's/\r//g' \{\} \;
sed -i -e 's/\r//g' readme.txt
%define ncdhelppath %(sed 's|^%{_prefix}||' <<< "%{_docdir}")
sed -i -e 's!\(#define HELP_FILE_PATH\).*!\1 "%{ncdhelppath}/%{name}-%{version}/help.ncd"!
s!\(#define LOCALE_DIR\).*!\1 "%{_datadir}/locale/"!' src/config.h
sed -i 's/\#define APP_VER_STR .*/\#define APP_VER_STR "%{version}"\r/' ./src/config.h
sed -i 's:\#define INSTALL_PREFIX .*:\#define INSTALL_PREFIX "%{_prefix}"\r:' ./src/config.h

%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %{name}
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc
desktop-file-install --vendor=fedora \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Fedora \
  --add-category GTK \
  --delete-original \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc readme.txt docs/license.txt docs/help.ncd
%{_bindir}/%{name}
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/icons/%{name}.*
%{_datadir}/mime/packages/%{name}.xml

%changelog
* Sun Oct 30 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.1.2-1
- Upstream update
- Fix -debuginfo subpackage (#170970)

* Sat Sep  3 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-2
- Fixed help file path (#166562)
- Use sed instead of dos2unix

* Sat Jul 23 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 1.0.0-1
- Upstream update

* Sun May 29 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.9-1
- Upstream update

* Wed Apr 13 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.2-6
- Added GenericName to desktop entry

* Mon Apr 11 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.2-5
- Add patch from Toshio to fix x86_64 compiler warnings
- Fixed hard-coded paths in src/config.h

* Wed Apr  6 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.2-4
- Change group to Applications/Productivity
- Have dos2unix only convert files
- Fixed hard-coded paths in the Makefile

* Tue Apr  5 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.2-3
- Use dos2unix instead of sed

* Tue Apr  5 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.2-2
- Implemented Toshio's strip, eol, and CFLAGS fixes
- Added missing gettext in BuildRequires

* Thu Mar 31 2005 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.8.2-1
- Initial RPM release
